package com.njcn.cssystem.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.cssystem.pojo.param.AppVersionParam;
import com.njcn.cssystem.pojo.po.AppVersion;
import com.njcn.cssystem.pojo.vo.AppVersionVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xy
 * @since 2024-11-21
 */
public interface IAppVersionService extends IService<AppVersion> {

    boolean add(AppVersionParam param);

    AppVersionVo getLastData(String versionType);

    List<AppVersion> getAllData(String versionType);

    boolean update(AppVersionParam param);

    boolean delete(String id);
}
